# UniTAP.dev.ports.modules.hdcp.types

class HdcpSink1XKeys(enum.IntEnum):

Enum where members are also (and must be) ints

Unknown = <HdcpSink1XKeys.Unknown: -1>
Unload = <HdcpSink1XKeys.Unload: 3>
Test = <HdcpSink1XKeys.Test: 1>
Production = <HdcpSink1XKeys.Production: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class HdcpSink2XKeys(enum.IntEnum):

Enum where members are also (and must be) ints

Unknown = <HdcpSink2XKeys.Unknown: -1>
Unload = <HdcpSink2XKeys.Unload: 3>
Production = <HdcpSink2XKeys.Production: 2>
TestR1 = <HdcpSink2XKeys.TestR1: 0>
TestR2 = <HdcpSink2XKeys.TestR2: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class HdcpSource1XKeys(enum.IntEnum):

Enum where members are also (and must be) ints

Unknown = <HdcpSource1XKeys.Unknown: -1>
Unload = <HdcpSource1XKeys.Unload: 259>
Test = <HdcpSource1XKeys.Test: 257>
Production = <HdcpSource1XKeys.Production: 258>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class HdcpSource2XKeys(enum.IntEnum):

Enum where members are also (and must be) ints

Unknown = <HdcpSource2XKeys.Unknown: -1>
Unload = <HdcpSource2XKeys.Unload: 259>
Production = <HdcpSource2XKeys.Production: 258>
TestR1 = <HdcpSource2XKeys.TestR1: 256>
TestR2 = <HdcpSource2XKeys.TestR2: 257>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class HdcpMode(enum.IntEnum):

Enum where members are also (and must be) ints

Unknown = <HdcpMode.Unknown: -1>
Mode1_4 = <HdcpMode.Mode1_4: 0>
Mode2_3 = <HdcpMode.Mode2_3: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class HdcpHwCaps:
hw_supported
production_keys_available
test_keys_available
class HdcpHwSinkCaps(HdcpHwCaps):
HdcpHwSinkCaps(caps: int, hdcp_mode: HdcpMode)

##### Inherited Members

HdcpHwCaps
  hw_supported
  production_keys_available
  test_keys_available

class HdcpHwSourceCaps(HdcpHwCaps):
HdcpHwSourceCaps(caps: int, hdcp_mode: HdcpMode)

##### Inherited Members

HdcpHwCaps
  hw_supported
  production_keys_available
  test_keys_available

class HdcpStatus:
class HdcpStatus.Status1x:
active
keys
capable
authenticated
class HdcpStatus.StatusRx2x:
active
keys
capable
authenticated
km_is_stored
content_level
class HdcpStatus.StatusTx2x:
active
keys
capable
authenticated
km_is_stored
content_level
try_authenticate
try_encrypt
class HdcpRxConfig:
class HdcpRxConfig.Config1x:
keys
capable
class HdcpRxConfig.Config2x:
keys
capable
class HdcpTxConfig:
class HdcpTxConfig.Config1x:
encryption
authenticate
keys
class HdcpTxConfig.Config2x:
encryption
authenticate
keys
store_km
content_level